%define name mlterm
%define version 2.9.4
%define release b1
%define prefix /usr
%define bindir /usr/bin
%define libdir /usr/lib
%define mandir /usr/share/man
%define datadir /usr/share
%define sysconfdir /etc
%define libexecdir /usr/libexec/mlterm
%define pixmapdir  /usr/share/pixmaps

Summary:	Multi Lingual TERMinal emulator on X
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Modified BSD-style license
Group:		User Interface/X
URL:		http://mlterm.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.bz2
Packager:	The mlterm team
BuildRoot:	/var/tmp/%{name}-%{version}-root
BuildArchitectures: i586

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported.
You can dynamically change various xims.

%prep
%setup
rm -rf doc/{en,ja}/CVS

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	    --bindir=%{bindir} \
	    --libdir=%{libdir} \
	    --mandir=%{mandir} \
	    --libexecdir=%{libexecdir} \
	    --datadir=%{datadir} \
	    --sysconfdir=%{sysconfdir} \
	    --enable-optimize-redrawing --with-scrollbars \
	    --enable-anti-alias
#--with-imagelib=imlib
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT%{bindir}/mlterm
strip $RPM_BUILD_ROOT%{libexecdir}/*

mkdir -p $RPM_BUILD_ROOT%{pixmapdir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm* \
               $RPM_BUILD_ROOT%{pixmapdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc ChangeLog LICENCE README doc/{en,ja}
%{bindir}/mlterm
#%{bindir}/mlclient
#%{bindir}/mlcc
%{libdir}/libkik.so*
%{libdir}/libmkf.so*
#%{libdir}/mlterm/
%{libexecdir}/
#%{sysconfdir}/mlterm/
#%{mandir}/man1/mlterm.1*
#%{mandir}/man1/mlclient.1*
#%{pixmapdir}/mlterm*
#%{datadir}/locale/*/LC_MESSAGES/mlconfig.mo

%changelog
* Thu Dec 27 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
